// Copyright (C) 2003 by ASUSTeK. All rights are reserved.

var vvwOrg = false;
var vwOrg = false;
var pwOrg = false;
var divSnsrs = false;
var divSnsrImages = false;
var divSnsrThreshold = false;
var divSnsrProperty = false;
var showSnsrThreshold = false;
var showSnsrProperty = false;

var divGblProperty = false;
var showGblProperty = false;
var divStatsRst = false;

var heightOfSensors = 0;
var snsrMin = false;
var snsrAvg = false;
var snsrMax = false;
var refreshCount = 0;

var lastGSensorNumber = 0;
var allDivsReady = false;

var __onceCalled__ = false;

function removeDivChilds (div)
{
    if (div) {
        for (var i = 0; i < div.length; i++) {
            if (div[i])
                document.body.removeChild(div[i]);
        }
    }
    return false;
}

function getSnsrHealthDesc (i)
{
    if (i)
        return parent.once.GSensorStatus[i];
    return parent.I18N['BACKTONORMAL'];
}


function getSnsrHealthDesc2 (sid, value, status, delimit)
{
    var snr = new tinySensor (sid, 0, 0, value, status);

    return getSnsrHealthDescEx(snr, delimit);
}

function getSnsrHealthSign (i)
{
    switch (i) {
        case ASWM_HEALTH_FATAL:
        case ASWM_HEALTH_FATALLOW:
        case ASWM_HEALTH_FATALHIGH:
            return "./img/z/i_danger.gif";
        case ASWM_HEALTH_WARNING:
        case ASWM_HEALTH_WARNINGLOW:
        case ASWM_HEALTH_WARNINGHIGH:
            return "./img/z/i_notice.gif";
    }

    return "./img/z/i-blank.gif";
}

function getSnsrHealthCSSClass (i)
{
    switch (i) {
        case ASWM_HEALTH_FATAL:
        case ASWM_HEALTH_FATALLOW:
        case ASWM_HEALTH_FATALHIGH:
            return "t8_red";
        case ASWM_HEALTH_WARNING:
        case ASWM_HEALTH_WARNINGLOW:
        case ASWM_HEALTH_WARNINGHIGH:
            return "t8_yellow";

    }
    return "t8_blue";
}

function getSnsrHealthString (i)
{
    return parent.once.GSensorSeverity[i & 0xff];
}

function resetStats ()
{
    if (parent.once.GSensors)
        for (i = 0; i < parent.once.GSensors.length(); i++) {
            var snsr = parent.once.GSensors.at(i);
            if (snsrMin[snsr.id] && snsrAvg[snsr.id] && snsrMax[snsr.id]) {
                snsrMin[snsr.id] = snsrAvg[snsr.id] = snsrMax[snsr.id] = parent.once.GSensors.at(i).currvalue;
            }
        }
}

function findSnsrMinThresTuple (a, b)
{
    var x = a.quintupleValueAt(-1);
    if (x) {
        return x == b;
    }
    return false;
}

function apply_threshold (snrid, functype)
{
    var i, form = false;

    for (i = 0; i < document.forms.length; i++) {
        if (document.forms[i].name == 'thre' + snrid) {
            form = document.forms[i];
        }
    }
    if (!form)
        return;

    if (!isdecimal(form.fatallow.value)) {
        alert(parent.I18N['INVALID_VALUE']);
        return;
    }
    if (!isdecimal(form.warninglow.value)) {
        alert(parent.I18N['INVALID_VALUE']);
        return;
    }
    if (!isdecimal(form.warninghigh.value)) {
        alert(parent.I18N['INVALID_VALUE']);
        return;
    }
    if (!isdecimal(form.fatalhigh.value)) {
        alert(parent.I18N['INVALID_VALUE']);
        return;
    }

    if (functype == ASWM_FNTYPE_CV_FWL_FWH || functype == ASWM_FNTYPE_CTV_FWL_FWH) {
        if (parseInt(form.fatallow.value) >= parseInt(form.fatalhigh.value)) {
            alert(parent.I18N['INVALID_VALUE']);
            return;
        }
        if (parseInt(form.warninglow.value) >= parseInt(form.warninghigh.value)) {
            alert(parent.I18N['INVALID_VALUE']);
            return;
        }
    }

    if (functype == ASWM_FNTYPE_CV_FWL || functype == ASWM_FNTYPE_CV_FWL_FWH || functype == ASWM_FNTYPE_CTV_FWL_FWH) {
        if (parseInt(form.warninglow.value) < parseInt(form.fatallow.value)) {
            alert(parent.I18N['INVALID_VALUE']);
            return;
        }
    }

    if (functype == ASWM_FNTYPE_CV_FWL_FWH || functype == ASWM_FNTYPE_CTV_FWL_FWH || functype == ASWM_FNTYPE_CV_FWH) {
        if (parseInt(form.warninghigh.value) > parseInt(form.fatalhigh.value)) {
            alert(parent.I18N['INVALID_VALUE']);
            return;
        }
    }


    if (parent.once.GOtherPurpose2) {
        var c =  parent.once.GOtherPurpose2.atComp(snrid, findSnsrMinThresTuple);
        if (c) {
            var m = c.quintupleValueAt(3);
            if (m) {
                if (functype == ASWM_FNTYPE_CV_FWL || functype == ASWM_FNTYPE_CV_FWL_FWH || functype == ASWM_FNTYPE_CTV_FWL_FWH)
                    if (parseInt(m) > parseInt(form.fatallow.value)) {
                        alert(parent.I18N['ONLYVALID_MINIMUM'].replace(/%a/g, m));
                        return;
                    }

                if (functype == ASWM_FNTYPE_CV_FWL || functype == ASWM_FNTYPE_CV_FWL_FWH || functype == ASWM_FNTYPE_CTV_FWL_FWH)
                    if (parseInt(m) > parseInt(form.warninglow.value)) {
                        alert(parent.I18N['ONLYVALID_MINIMUM'].replace(/%a/g, m));
                        return;
                    }


                if (functype == ASWM_FNTYPE_CV_FWH || functype == ASWM_FNTYPE_CV_FWL_FWH || functype == ASWM_FNTYPE_CTV_FWL_FWH)
                    if (parseInt(m) > parseInt(form.warninghigh.value)) {
                        alert(parent.I18N['ONLYVALID_MINIMUM'].replace(/%a/g, m));
                        return;
                    }

                if (functype == ASWM_FNTYPE_CV_FWH || functype == ASWM_FNTYPE_CV_FWL_FWH || functype == ASWM_FNTYPE_CTV_FWL_FWH)
                    if (parseInt(m) > parseInt(form.fatalhigh.value)) {
                        alert(parent.I18N['ONLYVALID_MINIMUM'].replace(/%a/g, m));
                        return;
                    }
            }
        }
    }

    if (form.defHtmlAdded.value == "0") {
        form.action += parent.__defSSIndex__;
        form.defHtmlAdded.value = "1";
    }

    if (parent.__actFrameIsBusy__) {
        alert(parent.I18N['SYSISBUSY']);
        return;
    }
    parent.__actFrameIsBusy__ = true;
    form.submit();
}

function createSnsrBar (i, snsr, k, m)
{
    var functype, offst, offst2, bleft, bright;
    var dd = new Date();
    var j = '';

    dd.setTime(snsr.eventtime * 1000);

    offst = offst2 = 0;
    functype = snsr.functype;
    if (!k) {
        k = snsr.id;
    }

    if (functype == ASWM_FNTYPE_CV_FWL || functype == ASWM_FNTYPE_CV_FWL_FWH || functype == ASWM_FNTYPE_CTV_FWL_FWH) {
        bleft = minimum(snsr.fatallow, snsr.warninglow, snsr.fatalhigh, snsr.warninghigh, snsrMin[k]);
    } else {
        bleft = minimum(snsr.fatalhigh, snsr.warninghigh, 0, snsrMin[k]);
    }

    if (functype == ASWM_FNTYPE_CV_FWL_FWH || functype == ASWM_FNTYPE_CTV_FWL_FWH || functype == ASWM_FNTYPE_CV_FWH) {
        bright = maximum(snsr.fatallow, snsr.warninglow, snsr.fatalhigh, snsr.warninghigh, snsrMax[k]);
    } else {
        bright = maximum(Math.round(snsr.theoryvalue * 2.2), snsr.fatallow, snsr.warninglow, snsrMax[k]);
    }

    j +=
'<TABLE WIDTH="550" BORDER="0" CELLPADDING="0" CELLSPACING="0">' +
'<TR><TD WIDTH="234" valign=top><TABLE WIDTH="100%" BORDER="0" CELLPADDING="0" CELLSPACING="0">';

    if (functype != ASWM_FNTYPE_NONE) {

        if (functype != ASWM_FNTYPE_CV) {
            j +=
'    <TR><TD height="23"><TABLE WIDTH="66" height="22" BORDER="0" CELLPADDING="0" CELLSPACING="0">' +
'        <TR>';
        }
        if (snsr.configflag != 0) {
            j +=
'            <TD WIDTH="22" height="22"><a href="javascript:showhide_property(' + i + (m? ', ' + m: '') + ')" onMouseOut="hs_swapImgRestore()" onMouseOver="hs_swapImage(&quot;property' + i + '&quot;,&quot;&quot;,&quot;./img/z/set_bu1_o.gif&quot;,1)"><img src="./img/z/set_bu1.gif" name="property' + i + '" width="22" height="22" border="0"></a></TD>';
        }

        if (functype != ASWM_FNTYPE_CV) {
            j +=
'            <TD WIDTH="22" height="22"><a href="javascript:showhide_threshold(' + i + (m? ', ' + m: '') + ')" onMouseOut="hs_swapImgRestore()" onMouseOver="hs_swapImage(&quot;threshold' + i + '&quot;,&quot;&quot;,&quot;./img/z/set_bu2_o.gif&quot;,1)"><img src="./img/z/set_bu2.gif" name="threshold' + i + '" width="22" height="22" border="0"></a></TD>' +
'            <TD WIDTH="22" height="22"><a href="javascript:parent.health.chgRTChart(&quot;' + self.location.search.substr(1, 5) + '&quot;,0x' + (snsr.id).toString(16) + ')" onMouseOut="hs_swapImgRestore()" onMouseOver="hs_swapImage(&quot;realtime' + i + '&quot;,&quot;&quot;,&quot;./img/z/set_bu3_o.gif&quot;,1)"><img src="./img/z/set_bu3.gif" name="realtime' + i + '" width="22" height="22" border="0"></a></TD>';
        }

        if (functype != ASWM_FNTYPE_CV) {
            if (snsr.configflag == 0)
                j +=
    '            <TD WIDTH="22" height="22"></TD>';
        }
        if (functype != ASWM_FNTYPE_CV) {
            j +=
'        </TR></TABLE></TD></TR>';
        }
    }
    j +=
'    <TR><TD><TABLE width="234" height="18" BORDER="0" CELLPADDING="0" CELLSPACING="0">' +
'        <TR><TD width="19" height="16" bgcolor="#A3B1BF"><!-- Image --></TD>' +
'            <TD width="194" height="16" bgcolor="#A3B1BF">' +
'                <TABLE width="194" height="16" BORDER="0" CELLPADDING="0" CELLSPACING="0">' +
'                <TR><TD width="160" class=t8b_darkblue>' + snsr.internalname + '</TD><TD width="34" align=right class=t7_white>' + parent.once.GResUnit[snsr.unit] + '</TD></TR></TABLE></TD>' +
'                    <TD width="21" height="16" background="./img/z/set_p01bg.gif" valign=top><IMG SRC="./img/z/set_p01.gif" BORDER="0" ></TD></TR>' +
'                <TR><TD width="19" height="2"></TD>' +
'                    <TD width="194" height="2"></TD>' +
'                    <TD width="21" height="2"><IMG SRC="./img/z/set_p02.gif" BORDER="0" ></TD></TR></TABLE></TD></TR>' +
'    <TR><TD><TABLE width="234" height="18" BORDER="0" CELLPADDING="0" CELLSPACING="0">' +
'        <TR><TD width="19" height="1" bgcolor="#AAAAAA"><IMG SRC="./img/z/bg.gif" BORDER="0" ></TD>' +
'            <TD width="194" height="1" bgcolor="#AAAAAA"><IMG SRC="./img/z/bg.gif" BORDER="0" ></TD>' +
'            <TD width="21" height="1"><IMG SRC="./img/z/set_p03.gif" BORDER="0" ></TD></TR>' +
'        <TR><TD width="19" height="16" valign=bottom><IMG SRC="./img/z/set_p04.gif" BORDER="0" ></TD>' +
'            <TD width="194" height="16"><span id="snsrvalstatus' + snsr.id + '">' +
'                <TABLE width="194" height="16" BORDER="0" CELLPADDING="0" CELLSPACING="0">' +
'                <TR><TD width="140" class="' + getSnsrHealthCSSClass(snsr.currstatus) + '">' + getSnsrHealthString(snsr.currstatus) + '</TD><TD width="54" align=right class=t8b>' + 
        (parent.tblSeqResources[snsr.id] || parent.tblBtfResources[snsr.id]? '': snsr.currvalue) + 
        '</TD></TR></TABLE></span></TD>' +
'            <TD width="21" height="16" valign=bottom background="./img/z/bg.gif"><IMG SRC="./img/z/set_p05.gif" BORDER="0" ></TD></TR>' +
'        <TR><TD width="19" height="1"><IMG SRC="./img/z/set_p06.gif" BORDER="0" ></TD>' +
'            <TD width="194" height="1" bgcolor="#AAAAAA"><IMG SRC="./img/z/bg.gif" BORDER="0" ></TD>' +
'            <TD width="21" height="1"><IMG SRC="./img/z/set_p07.gif" BORDER="0" ></TD></TR></TABLE></TD></TR>' +
'    <TR><TD><TABLE width="100%" height="16" BORDER="0" CELLPADDING="0" CELLSPACING="0">' +
'        <TR><TD width="19" height="16"></TD>' +
'            <TD width="194" height="16" align=right class=t7><span id="snsrevt' + snsr.id + '">' + (snsr.prevstatus != snsr.currstatus ? '(' + dd.getFullYear() + '/' + (dd.getMonth() + 1).toString() + '/' + dd.getDate() + ' ' + dd.getHours() + ':' + dd.getMinutes() + ')' : '') + '</span></TD>' +
'            <TD width="21" height="16"></TD></TR></TABLE></TD></TR>' +
'    <TR><TD><TABLE width="100%" height="16" BORDER="0" CELLPADDING="0" CELLSPACING="0">' +
'        <TR><TD width="203" height="16" class=t7><span id="snsrevtdesc' + snsr.id + '">' + (snsr.prevstatus != snsr.currstatus ? getSnsrHealthDesc(snsr.currstatus) : '') + '</span></TD>' +
'            <TD width="21" height="16"></TD></TR></TABLE></TD></TR></TABLE></TD>' +

'<TD WIDTH="316" valign=top height="100%">';

    if (functype != ASWM_FNTYPE_NONE && functype != ASWM_FNTYPE_CV) {
        j +=

'    <TABLE width="100%" height="100%" BORDER="0" CELLPADDING="0" CELLSPACING="0">' +
'    <TR><TD width="297" height="28" rowspan="2">' +
'        <TABLE width="100%" height="14" BORDER="0" CELLPADDING="0" CELLSPACING="0">' +
'        <TR align=center>' +
'            <TD width="35%" height="14" class=t8_blue><font style="position:relative;top:6;">' + parent.I18N['MINIMUM_VALUE'] + '</font></TD>' +
'            <TD width="30%" height="14" class=t8_blue><font style="position:relative;top:6;">' + parent.I18N['AVERAGE_VALUE'] + '</font></TD>' +
'            <TD width="35%" height="14" class=t8_blue><font style="position:relative;top:6;">' + parent.I18N['MAXIMUM_VALUE'] + '</font></TD></TR></TABLE></TD>' +
'        <TD width="11" height="14"></TD></TR>' +
'    <TR><TD width="11" height="14"></TD></TR>' +
'    <TR><TD width="297" height="1" bgcolor="#BFBFBF"><IMG SRC="./img/z/bg.gif" BORDER="0" ></TD>' +
'        <TD width="11" height="1"><IMG SRC="./img/z/bg.gif" BORDER="0" ></TD></TR>' +
'    <TR><TD width="297" height="14">' +
'        <TABLE width="100%" height="14" BORDER="0" CELLPADDING="0" CELLSPACING="0">' +
'        <TR align=center>' +
'            <TD width="35%" height="14" class=t8_blue><span id="snsrmin' + snsr.id + '">' + snsrMin[k] + '</span></TD>' +
'            <TD width="30%" height="14" class=t8_blue><span id="snsravg' + snsr.id + '">' + snsrAvg[k] + '</span></TD>' +
'            <TD width="35%" height="14" class=t8_blue><span id="snsrmax' + snsr.id + '">' + snsrMax[k] + '</span></TD></TR></TABLE></TD>' +
'        <TD width="11" height="14"><IMG SRC="./img/z/set_p_r1.gif" BORDER="0" ></TD></TR>' +
'    <TR><TD width="297" height="100%" valign=top>' +
'        <TABLE width="100%" height="70" BORDER="0" CELLPADDING="0" CELLSPACING="0">' +
'        <TR><TD width="45" align=center>' +
'            <TABLE width="45" height="70" BORDER="0" CELLPADDING="0" CELLSPACING="0">' +
'            <TR><TD>' +
'                <TABLE width="40" height="16" BORDER="0" CELLPADDING="0" CELLSPACING="0">' +
(functype == ASWM_FNTYPE_CV_FWL || functype == ASWM_FNTYPE_CV_FWL_FWH || functype == ASWM_FNTYPE_CTV_FWL_FWH ?
'                <TR><TD width="4" height="16"><IMG SRC="./img/z/set_bar_n1.gif" BORDER="0" ></TD>' +
'                    <TD width="32" bgcolor="#E5E5E5" class=t8_blue align=center><span id="snsrfl' + snsr.id + '">' + snsr.fatallow + '</span></TD>' +
'                    <TD width="4" height="16"><IMG SRC="./img/z/set_bar_n2.gif" BORDER="0" ></TD></TR></TABLE>' :
'                <TR><TD width="4" height="16"></TD><TD width="32" align=center></TD><TD width="4" height="16"></TD></TR></TABLE>'
) +
'                </TD></TR>' +
'            <TR><TD></TD></TR>' +
'            <TR><TD>' +
'                <TABLE width="40" height="16" BORDER="0" CELLPADDING="0" CELLSPACING="0">' +
(functype == ASWM_FNTYPE_CV_FWL || functype == ASWM_FNTYPE_CV_FWL_FWH || functype == ASWM_FNTYPE_CTV_FWL_FWH ?
'                <TR><TD width="4" height="16"><IMG SRC="./img/z/set_bar_n1.gif" BORDER="0" ></TD>' +
'                    <TD width="32" bgcolor="#E5E5E5" class=t8_blue align=center><span id="snsrwl' + snsr.id + '">' + snsr.warninglow + '</span></TD>' +
'                    <TD width="4" height="16"><IMG SRC="./img/z/set_bar_n2.gif" BORDER="0" ></TD></TR></TABLE>' :
'                <TR><TD width="4" height="16"></TD><TD width="32" align=center></TD><TD width="4" height="16"></TD></TR></TABLE>'
) +
'                </TD></TR></TABLE>' +
'            </TD>';

        j +=
'            <TD height="43" width="209" valign=middle><TABLE width="209" height="43" BORDER="0" CELLPADDING="0" CELLSPACING="0">' +
'                <TR><TD width="209" height="13" valign=bottom align=left><span id="snsruprulel' + snsr.id + '"></span><span id="snsrupruleb' + snsr.id + '"></span><span id="snsrupruleh' + snsr.id + '"></span></TD></TR>';

        j +=
'            <TR><TD height="17" align=left><TABLE width="209" height="17" BORDER="0" CELLPADDING="0" CELLSPACING="0">' +
'                <TR><TD width="4" height="17" rowspan="3" align=right><IMG SRC="./img/z/bg.gif" WIDTH="1" height="17"><IMG SRC="./img/z/set_bar01.gif" height="17" width="3" BORDER="0" ></TD>' +
'                    <TD width="200" height="7"><IMG SRC="./img/z/set_bar02.gif" height="7" BORDER="0" ></TD>' +
'                    <TD width="5" height="17" rowspan="3"><IMG SRC="./img/z/set_bar03.gif" height="17" width="3" BORDER="0" ></TD></TR>' +
'                <TR><TD width="200" height="4" background="./img/z/set_bar_bg.gif"><span id="snsrvalbar' + snsr.id + '"></span></TD></TR>' +
'                <TR><TD width="200" height="6"><IMG SRC="./img/z/set_bar04.gif" height="6" BORDER="0" ></TD></TR></TABLE></TD></TR>';

        j +=
'            <TR><TD width="209" height="13" valign=top align=left><span id="snsrlorulel' + snsr.id + '"></span><span id="snsrloruleb' + snsr.id + '"></span><span id="snsrloruleh' + snsr.id + '"></span></TD></TR></TABLE></TD>';

        j +=
'            <TD width="45" align=center>' +
'            <TABLE width="45" height="70" BORDER="0" CELLPADDING="0" CELLSPACING="0">' +
'            <TR><TD>' +
'                <TABLE width="40" height="16" BORDER="0" CELLPADDING="0" CELLSPACING="0">' +
(functype == ASWM_FNTYPE_CV_FWL_FWH || functype == ASWM_FNTYPE_CTV_FWL_FWH || functype == ASWM_FNTYPE_CV_FWH ?
'                <TR><TD width="4" height="16"><IMG SRC="./img/z/set_bar_n1.gif" BORDER="0" ></TD>' +
'                   <TD width="32" bgcolor="#E5E5E5" class=t8_blue align=center><span id="snsrfh' + snsr.id + '">' + snsr.fatalhigh + '</span></TD>' +
'                   <TD width="4" height="16"><IMG SRC="./img/z/set_bar_n2.gif" BORDER="0" ></TD></TR></TABLE>' :
'                <TR><TD width="4" height="16"></TD><TD width="32" align=center></TD><TD width="4" height="16"></TD></TR></TABLE>'
) +
'                </TD></TR>' +
'            <TR><TD></TD></TR>' +
'            <TR><TD>' +
'                <TABLE width="40" height="16" BORDER="0" CELLPADDING="0" CELLSPACING="0">' +
(functype == ASWM_FNTYPE_CV_FWH || functype == ASWM_FNTYPE_CV_FWL_FWH || functype == ASWM_FNTYPE_CTV_FWL_FWH ?
'                <TR><TD width="4" height="16"><IMG SRC="./img/z/set_bar_n1.gif" BORDER="0" ></TD>' +
'                    <TD width="32" bgcolor="#E5E5E5" class=t8_blue align=center><span id="snsrwh' + snsr.id + '">' + snsr.warninghigh + '</span></TD>' +
'                    <TD width="4" height="16"><IMG SRC="./img/z/set_bar_n2.gif" BORDER="0" ></TD></TR></TABLE>' :
'                <TR><TD width="4" height="16"></TD><TD width="32" align=center></TD><TD width="4" height="16"></TD></TR></TABLE>'
) +
'                </TD></TR></TABLE>' +
'           </TD></TR></TABLE>' +

'        </TD>' +
'        <TD width="11" height="70" background="./img/z/set_p_r2bg.gif"><IMG SRC="./img/z/bg.gif" BORDER="0" ></TD></TR></TABLE></TD></TR></TABLE>'
    } else {

        j +=
'    <TABLE width="100%" BORDER="0" CELLPADDING="0" CELLSPACING="0">';

        if (snsr.configflag != 0) {
            j += '<TR><TD height="23"></TD></TR>';
        }

        j +=
'    <TR><TD width="11" height="5"></TD></TR>' +
'    <TR><TD width="297" height="1" bgcolor="#BFBFBF"><IMG SRC="./img/z/bg.gif" BORDER="0"></TD>' +
'        <TD width="11" height="1"><IMG SRC="./img/z/bg.gif" BORDER="0"></TD></TR>' +
'    <TR><TD width="297" rowspan="2" valign=top><TABLE width="100%" BORDER="0" CELLPADDING="0" CELLSPACING="4">' +
'        <TR><TD><span id="snsrmoredesc' + snsr.id + '">' + 
            (parent.tblSeqResources[snsr.id] || parent.tblBtfResources[snsr.id]? getSnsrHealthDesc2(snsr.id, snsr.currvalue, snsr.currstatus, "<br>"):
                (snsr.prevstatus != snsr.currstatus ? getSnsrHealthDesc2(snsr.id, snsr.currvalue, snsr.currstatus, "<br>") : '')) + 
            '</span></TD></TR></TABLE></TD>' +
'        <TD width="11" height="14" valign=top background="./img/z/set_p_r2bg.gif"><IMG SRC="./img/z/set_p_r1.gif" BORDER="0"></TD></TR>' +
'    <TR><TD width="11" height="" background="./img/z/set_p_r2bg.gif"><IMG SRC="./img/z/bg.gif" BORDER="0"></TD></TR></TABLE></TD></TR></TABLE>';

    }

    return j;
}

function createSnsrThreshold (i, snsr)
{
    var j = '';
    var functype = snsr.functype;

    j +=
'<form name="thre' + snsr.id + '" method="post" action="./act/" target="act"><input type=hidden name=defHtmlAdded value="0">' +
'<TABLE WIDTH="550" BORDER="0" CELLPADDING="0" CELLSPACING="0">' +
'<TR><TD WIDTH="234" valign=top></TD>' +
'    <TD><TABLE border="0" height="115" width="290" CELLPADDING="0" CELLSPACING="0">' +
'        <TR><TD height="9" width="9" valign=top background="./img/z/set_c04bg.gif"><IMG SRC="./img/z/set_c01.gif"></TD>' +
'            <TD height="9" background="./img/z/set_c02bg.gif"><IMG SRC="./img/z/bg.gif" BORDER="0" ></TD>' +
'            <TD height="9" width="9" valign=top background="./img/z/set_c05bg.gif"><IMG SRC="./img/z/set_c03.gif"></TD></TR>' +
'        <TR><TD width="9" background="./img/z/set_c04bg.gif"><IMG SRC="./img/z/bg.gif" BORDER="0" ></TD>' +
'            <TD bgcolor="#F2F2F2"><TABLE BORDER="0" width="270" bgcolor="#F2F2F2" CELLPADDING="0" CELLSPACING="0">' +
'                <TR align=center><TD class=t7_r>' + parent.I18N['CRITICAL_THRESHOLD'] + '</TD></TR>' +
'                <TR align=center><TD align=center><TABLE BORDER="0" width="90%" bgcolor="#F2F2F2" CELLPADDING="0" CELLSPACING="0">' +
'                    <TR align=center><TD width="25%"><TABLE border="0" bgcolor="#F2F2F2" CELLPADDING="0" CELLSPACING="0">' +
'                        <TR align=center height="15"><TD>' +
        (functype == ASWM_FNTYPE_CV_FWL || functype == ASWM_FNTYPE_CV_FWL_FWH || functype == ASWM_FNTYPE_CTV_FWL_FWH ? '' : '<!-- ') +
        '<TABLE width="100%" border="0" width="" bgcolor="#F2F2F2" CELLPADDING="0" CELLSPACING="0">' +
'                            <TR><TD height="12" width="5" align=right><IMG SRC="./img/z/set_input_r1.gif" height="100%" BORDER="0" ></TD>' +
'                                <TD bgcolor="#B90B0B" class=t6_w align=center><nobr>' + parent.I18N['LOW'] + '</nobr></TD>' +
'                                <TD height="12" width="5"><IMG SRC="./img/z/set_input_r2.gif" height="100%" BORDER="0" ></TD></TR></TABLE>' +
        (functype == ASWM_FNTYPE_CV_FWL || functype == ASWM_FNTYPE_CV_FWL_FWH || functype == ASWM_FNTYPE_CTV_FWL_FWH ? '' : ' -->') +
        '</TD></TR>' +
'                        <TR align=center><TD><INPUT class=threshold_r TYPE="' +
        (functype == ASWM_FNTYPE_CV_FWL || functype == ASWM_FNTYPE_CV_FWL_FWH || functype == ASWM_FNTYPE_CTV_FWL_FWH ? 'text' : 'hidden') +
        '" NAME="fatallow" value="' + snsr.fatallow + '" size="4" maxlength="6"></TD></TR>' +
'                        <TR height="15"><TD></TD></TR></TABLE></TD>' +
'                        <TD width="10"><IMG SRC="./img/z/bg.gif"></TD>' +
'                        <TD width="25%"><TABLE border="0" bgcolor="#F2F2F2" CELLPADDING="0" CELLSPACING="0">' +
'                            <TR><TD height="15"></TD></TR>' +
'                            <TR><TD align=center><INPUT class=threshold_o TYPE="' +
        (functype == ASWM_FNTYPE_CV_FWL || functype == ASWM_FNTYPE_CV_FWL_FWH || functype == ASWM_FNTYPE_CTV_FWL_FWH ? 'text' : 'hidden') +
        '" NAME="warninglow" value="' + snsr.warninglow + '" size="4" maxlength="6"></TD></TR>' +
'                            <TR align=center height="15"><TD>' +
        (functype == ASWM_FNTYPE_CV_FWL || functype == ASWM_FNTYPE_CV_FWL_FWH || functype == ASWM_FNTYPE_CTV_FWL_FWH ? '' : '<!-- ') +
        '<TABLE width="100%" border="0" width="" bgcolor="#F2F2F2" CELLPADDING="0" CELLSPACING="0">' +
'                                <TR><TD height="12" width="5" align=right><IMG SRC="./img/z/set_input_o1.gif" height="100%" BORDER="0" ></TD>' +
'                                    <TD bgcolor="#E97E00" class=t6_w align=center><nobr>' + parent.I18N['LOW'] + '</nobr></TD>' +
'                                    <TD height="12" width="5"><IMG SRC="./img/z/set_input_o2.gif" height="100%" BORDER="0" ></TD></TR></TABLE>' +
        (functype == ASWM_FNTYPE_CV_FWL || functype == ASWM_FNTYPE_CV_FWL_FWH || functype == ASWM_FNTYPE_CTV_FWL_FWH ? '' : ' -->') +
        '</TD></TR></TABLE></TD>' +
'                        <TD width="10"><IMG SRC="./img/z/bg.gif"></TD>' +
'                        <TD width="25%"><TABLE border="0" bgcolor="#F2F2F2" CELLPADDING="0" CELLSPACING="0">' +
'                            <TR><TD height="15"></TD></TR>' +
'                            <TR align=center><TD><INPUT class=threshold_o TYPE="' +
        (functype == ASWM_FNTYPE_CV_FWL_FWH || functype == ASWM_FNTYPE_CTV_FWL_FWH || functype == ASWM_FNTYPE_CV_FWH ? 'text' : 'hidden') +
        '" NAME="warninghigh" value="' + snsr.warninghigh + '" size="4" maxlength="6"></TD></TR>' +
'                            <TR align=center height="15"><TD>' +
        (functype == ASWM_FNTYPE_CV_FWL_FWH || functype == ASWM_FNTYPE_CTV_FWL_FWH || functype == ASWM_FNTYPE_CV_FWH ? '' : '<!-- ') +
        '<TABLE width="100%" border="0" width="" bgcolor="#F2F2F2" CELLPADDING="0" CELLSPACING="0">' +
'                                <TR><TD height="12" width="5" align=right><IMG SRC="./img/z/set_input_o1.gif" height="100%" BORDER="0" ></TD>' +
'                                    <TD bgcolor="#E97E00" class=t6_w align=center><nobr>' + parent.I18N['HIGH'] + '</nobr></TD>' +
'                                    <TD height="12" width="5"><IMG SRC="./img/z/set_input_o2.gif" height="100%" BORDER="0" ></TD></TR></TABLE>' +
        (functype == ASWM_FNTYPE_CV_FWL_FWH || functype == ASWM_FNTYPE_CTV_FWL_FWH || functype == ASWM_FNTYPE_CV_FWH ? '' : ' -->') +
        '</TD></TR></TABLE></TD>' +
'                        <TD width="10"><IMG SRC="./img/z/bg.gif"></TD>' +
'                        <TD width="25%"><TABLE border="0" bgcolor="#F2F2F2" CELLPADDING="0" CELLSPACING="0">' +
'                            <TR><TD align=center height="15">' +
        (functype == ASWM_FNTYPE_CV_FWL_FWH || functype == ASWM_FNTYPE_CTV_FWL_FWH || functype == ASWM_FNTYPE_CV_FWH ? '' : '<!-- ') +
        '<TABLE border="0" width="100%" bgcolor="#F2F2F2" CELLPADDING="0" CELLSPACING="0">' +
'                                <TR><TD height="12" width="5" align=right><IMG SRC="./img/z/set_input_r1.gif" height="100%" BORDER="0" ></TD>' +
'                                    <TD bgcolor="#B90B0B" class=t6_w align=center><nobr>' + parent.I18N['HIGH'] + '</nobr></TD>' +
'                                    <TD height="12" width="5"><IMG SRC="./img/z/set_input_r2.gif" height="100%" BORDER="0" ></TD></TR></TABLE>' +
        (functype == ASWM_FNTYPE_CV_FWL_FWH || functype == ASWM_FNTYPE_CTV_FWL_FWH || functype == ASWM_FNTYPE_CV_FWH ? '' : ' -->') +
        '</TD></TR>' +
'                            <TR><TD align=center><INPUT class=threshold_r TYPE="' +
        (functype == ASWM_FNTYPE_CV_FWL_FWH || functype == ASWM_FNTYPE_CTV_FWL_FWH || functype == ASWM_FNTYPE_CV_FWH ? 'text' : 'hidden') +
        '" NAME="fatalhigh" value="' + snsr.fatalhigh + '" size="4" maxlength="6"></TD></TR>' +
'                            <TR height="15"><TD></TD></TR></TABLE></TD></TR></TABLE></TD></TR>' +
'                        <TR align=center><TD class=t7_o>' +parent.I18N['WARNING_THRESHOLD'] + '</TD></TR>' +
'                        <TR align=right><TD><TABLE width="42" HEIGHT="20" BORDER="0" CELLPADDING="0" CELLSPACING="0">' +
'                            <TR><TD width="13" HEIGHT="20"><IMG SRC="./img/z/set_apply1.gif" BORDER="0" ></TD>' +
'                                <TD width="20" HEIGHT="20" background="./img/z/set_apply2bg.gif" class=t7 align=center>' +
'                                    <A HREF="javascript: apply_threshold(' + snsr.id + ','+ functype + ');" class=black><sup><nobr>' + parent.I18N['APPLY'] + '</nobr></sup></A></TD>' +
'                                <TD width="13" HEIGHT="20"><IMG SRC="./img/z/set_apply3.gif" BORDER="0" ></TD></TR></TABLE></TD></TR></TABLE></TD>' +
'            <TD width="9" background="./img/z/set_c05bg.gif"><IMG SRC="./img/z/bg.gif" BORDER="0" ></TD></TR>' +
'        <TR><TD height="9" width="9" valign=top><IMG SRC="./img/z/set_c06.gif" BORDER="0" ></TD>' +
'            <TD height="9" background="./img/z/set_c07bg.gif"><IMG SRC="./img/z/bg.gif" BORDER="0" ></TD>' +
'            <TD height="9" width="9" valign=top><IMG SRC="./img/z/set_c08.gif" BORDER="0" ></TD></TR></TABLE></TD>' +
'    <TD width="12"><IMG SRC="./img/z/bg.gif" BORDER="0" ></TD></TR></TABLE>' +
'    <input type=hidden name=snsr value="' + snsr.id + '"><input type=hidden name=callback value="parent.platform.showhide_threshold(' + i + ');"><input type=hidden name=act value="ST"></form>';

    return j;
}

function createSnsrPopup (snsr)
{
    var k, j = '';

    j +=
'<TABLE WIDTH="580" BORDER="0" CELLPADDING="0" CELLSPACING="5">' +
'<TR><TD width="20"><IMG SRC="./img/z/bg.gif" BORDER="0" ></TD>' +
'    <TD WIDTH="560"><TABLE border="0" width="100%" CELLPADDING="0" CELLSPACING="0">' +
'       <TR><TD height="10" width="10" align=right><IMG SRC="./img/z/property_01.gif" BORDER="0" ></TD>' +
'           <TD height="10" background="./img/z/property_02bg.gif"><IMG SRC="./img/z/bg.gif" BORDER="0" ></TD>' +
'           <TD height="10" width="10"><IMG SRC="./img/z/property_03.gif" BORDER="0" ></TD></TR>' +
'       <TR><TD width="10" background="./img/z/property_04bg.gif"><IMG SRC="./img/z/bg.gif" BORDER="0" ></TD>' +
'           <TD width="100%"><TABLE border="0" height="" width="100%" bgcolor="#F2F2F2" CELLPADDING="0" CELLSPACING="0">' +
'               <TR><TD width="" height="16" bgcolor="#E8ECEF" align=center class=t8b_blue>' + parent.I18N['PROPERTIES'] + '</TD>' +
'                   <TD width="" bgcolor="#CED5DC" align=center colspan="3" class=t8b_blue>' + parent.I18N['VALUES'] + '</TD></TR>';

    if (snsr.configitem) {
        for (k = 0; k < snsr.configitem.length(); k++) {
            if (typeof snsr.configitem.at(k).value == "string")
                if (!snsr.configitem.at(k).value)
                    continue;
            j +=
'               <TR><TD width="25%" height="16">' + snsr.configitem.at(k).extra.replace(/</g, "&lt;") + '</TD>' +
'                   <TD width="15%" bgcolor="#F2F2F2"><IMG SRC="./img/z/bg.gif" BORDER="0" ></TD>' +
'                   <TD width="55%" class=t8_blue><span id="snsr' + snsr.id + 'cf' + snsr.configitem.at(k).key + '">' + String(snsr.configitem.at(k).value).replace(/</g, "&lt;") + '</span></TD>' +
'                   <TD width="5%"><nobr>' + parent.once.GResUnit[snsr.configitem.at(k).misc] + '</nobr></TD></TR>' ;

            if (k < snsr.configitem.length() - 1) {
                j +=
'               <TR><TD width="100%" align=center colspan="4" background="./img/z/form_bg4.gif"><IMG SRC="./img/z/bg.gif" BORDER="0" ></TD></TR>';
            }
        }
    }

    if (snsr.property) {
        for (k = 0; k < snsr.property.length(); k++) {
            if (typeof snsr.property.at(k).value == "string")
                if (!snsr.property.at(k).value)
                    continue;
            j +=
'               <TR><TD width="25%" height="16">' + snsr.property.at(k).extra.replace(/</g, "&lt;") + '</TD>' +
'                   <TD width="15%" bgcolor="#F2F2F2"><IMG SRC="./img/z/bg.gif" BORDER="0" ></TD>' +
'                   <TD width="55%" class=t8_blue><span id="snsr' + snsr.id + 'pr' + snsr.property.at(k).key + '">' + String(snsr.property.at(k).value).replace(/</g, "&lt;") + '</span></TD>' +
'                   <TD width="5%">' + parent.once.GResUnit[snsr.property.at(k).misc] + '</TD></TR>' ;

            if (k < snsr.property.length() - 1) {
                j +=
'               <TR><TD width="100%" align=center colspan="4" background="./img/z/form_bg4.gif"><IMG SRC="./img/z/bg.gif" BORDER="0" ></TD></TR>';
            }
        }
    }

    j +=
'               </TABLE></TD>' +
'           <TD width="10" background="./img/z/property_05bg.gif"><IMG SRC="./img/z/bg.gif" BORDER="0" ></TD></TR>' +
'       <TR><TD width="10" height="10" align=right><IMG SRC="./img/z/property_06.gif" BORDER="0" ></TD>' +
'           <TD height="10" background="./img/z/property_07bg.gif"><IMG SRC="./img/z/bg.gif" BORDER="0" ></TD>' +
'           <TD width="10" height="10"><IMG SRC="./img/z/property_08.gif" BORDER="0" ></TD></TR></TABLE></TD></TR></TABLE>'

    return j;
}

